# Couenne::CouenneAmplInterface Class Reference

`#include <CouenneAmplInterface.hpp>`

Inheritance diagram for Couenne::CouenneAmplInterface:

List of all members.

## Public Member Functions
| CouenneAmplInterface (Ipopt::SmartPtr< Ipopt::OptionsList > options_, Ipopt::SmartPtr< Ipopt::Journalist > jnlst_)
| ~CouenneAmplInterface ()
CouenneProblem * | getCouenneProblem ()
| Should return the problem to solve in algebraic form.
Ipopt::SmartPtr< Bonmin::TMINLP > | getTMINLP ()
| Should return the problem to solve as TMINLP.
bool | writeSolution (Bonmin::Bab &bab)
| Called after B&B finished.
void | setRegisteredOptions (Ipopt::SmartPtr< Bonmin::RegisteredOptions > roptions_)
## Static Public Member Functions
static void | registerOptions (Ipopt::SmartPtr< Bonmin::RegisteredOptions > roptions)
## Private Member Functions
bool | readASLfg ()
bool | readnl ()
expression * | nl2e (expr *e)
## Private Attributes
CouenneProblem * | problem
Ipopt::SmartPtr< Bonmin::TMINLP > | tminlp
Ipopt::SmartPtr < Bonmin::RegisteredOptions > | roptions
struct ASL * | asl

## Detailed Description

Definition at line 26 of file CouenneAmplInterface.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneAmplInterface::CouenneAmplInterface | ( | Ipopt::SmartPtr< Ipopt::OptionsList > | options_,
|  | Ipopt::SmartPtr< Ipopt::Journalist > | jnlst_ |
| ) |  |  | `[inline]`

Definition at line 41 of file CouenneAmplInterface.hpp.

Couenne::CouenneAmplInterface::~CouenneAmplInterface | ( |  | ) |

## Member Function Documentation

bool Couenne::CouenneAmplInterface::readASLfg | ( |  | ) | `[private]`

bool Couenne::CouenneAmplInterface::readnl | ( |  | ) | `[private]`

expression* Couenne::CouenneAmplInterface::nl2e | ( | expr * | e | ) | `[private]`

static void Couenne::CouenneAmplInterface::registerOptions | ( | Ipopt::SmartPtr< Bonmin::RegisteredOptions > | roptions | ) | `[static]`

CouenneProblem* Couenne::CouenneAmplInterface::getCouenneProblem | ( |  | ) | `[virtual]`

Should return the problem to solve in algebraic form.

NOTE: Couenne is (currently) going to modify this problem!

Implements Couenne::CouenneUserInterface.

Ipopt::SmartPtr<Bonmin::TMINLP> Couenne::CouenneAmplInterface::getTMINLP | ( |  | ) | `[virtual]`

Should return the problem to solve as TMINLP.

Implements Couenne::CouenneUserInterface.

bool Couenne::CouenneAmplInterface::writeSolution | ( | Bonmin::Bab & | bab | ) | `[virtual]`

Called after B&B finished.

Should write solution information.

Reimplemented from Couenne::CouenneUserInterface.

void Couenne::CouenneAmplInterface::setRegisteredOptions | ( | Ipopt::SmartPtr< Bonmin::RegisteredOptions > | roptions_ | ) | `[inline]`

Definition at line 53 of file CouenneAmplInterface.hpp.

References roptions.

## Member Data Documentation

CouenneProblem* Couenne::CouenneAmplInterface::problem`[private]`

Definition at line 28 of file CouenneAmplInterface.hpp.

Ipopt::SmartPtr<Bonmin::TMINLP> Couenne::CouenneAmplInterface::tminlp`[private]`

Definition at line 29 of file CouenneAmplInterface.hpp.

Ipopt::SmartPtr<Bonmin::RegisteredOptions> Couenne::CouenneAmplInterface::roptions`[private]`

Definition at line 31 of file CouenneAmplInterface.hpp.

Referenced by setRegisteredOptions().

struct ASL* Couenne::CouenneAmplInterface::asl`[read, private]`

Definition at line 32 of file CouenneAmplInterface.hpp.

The documentation for this class was generated from the following file:

- CouenneAmplInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines